- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
- SEE ALSO
- COPYRIGHT AND LICENSE

# NAME

Pegasus::DAX::PlainFilename - class for simple file names.

# SYNOPSIS

        use Pegasus::DAX::PlainFilename;

        my $i = Pegasus::DAX::PlainFilename->new( 'asdf.txt' );
        print "name is ", $i->name, "\n";
        $i->name = 'newname.txt';
        print "name is ", $i->name, "\n";

# DESCRIPTION

This class remembers a simple filename. These filenames are aggregated by the `AbstractJob` class. A simple filename is either part of a concrete job's argument list.

# METHODS

new()
new( $filename )
new( name => $filename )
new( { name => $filename } )

  The constructor may be called with a single scalar argument, which is the filename string. Alternative ways to invoke the c'tor pass the arguments as named list.

name()

  This is the getter.

name( $name )

  This is the setter.

toXML( $handle, $indent, $xmlns )

  The purpose of the `toXML` function is to recursively generate XML from the internal data structures. The first argument is a file handle open for writing. This is where the XML will be generated. The second argument is a string with the amount of white-space that should be used to indent elements for pretty printing. The third argument may not be defined. If defined, all element tags will be prefixed with this name space.

# SEE ALSO

Pegasus::DAX::Base

  Base class.

Pegasus::DAX::Filename

  Child class.

Pegasus::DAX::AbstractJob

  The abstract job class aggregates instances of this class in `arguments` and in `stdio`.

# COPYRIGHT AND LICENSE

Copyright 2007-2011 University Of Southern California

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.